cURL
curl --request POST \
--url https://api.haiper.ai/v1/jobs/gen2/text2image \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"is_public": true,
"is_enable_prompt_enhancer": true,
"negative_prompt": "<string>",
"config": {
"image_number": 123
},
"settings": {
"seed": 123,
"aspect_ratio": "<string>",
"resolution": 123
}
}
'import requests
url = "https://api.haiper.ai/v1/jobs/gen2/text2image"
payload = {
"prompt": "<string>",
"is_public": True,
"is_enable_prompt_enhancer": True,
"negative_prompt": "<string>",
"config": { "image_number": 123 },
"settings": {
"seed": 123,
"aspect_ratio": "<string>",
"resolution": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<string>',
is_public: true,
is_enable_prompt_enhancer: true,
negative_prompt: '<string>',
config: {image_number: 123},
settings: {seed: 123, aspect_ratio: '<string>', resolution: 123}
})
};
fetch('https://api.haiper.ai/v1/jobs/gen2/text2image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"value": {
"generation_id": "<string>"
}
}{
"message": "<string>",
"code": 123,
"details": "<array>"
}Create with Haiper 2.x
Text to Image
Create images with text prompt
POST
/
v1
/
jobs
/
gen2
/
text2image
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The information to create images
The prompt of the generation
Whether is generation be public on Haiper Platform, please set to false if you will to keep it private. The default value is true
Whether let AI help you to enhance the prompt. The default value is true
The negative prompt of the generation
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I